Bug Hunting Session
Bug 105790 - FILEOPEN: PPTX arrow shape with text: left-pointing has text too high/left, right-pointing arrow is ok
Summary: FILEOPEN: PPTX arrow shape with text: left-pointing has text too high/left, r...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.6.0.4 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, filter:pptx, regression
Depends on:
Blocks: PPTX
  Show dependency treegraph
 
Reported: 2017-02-06 10:06 UTC by Tobias Burnus
Modified: 2019-09-29 15:00 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
PPTX file (PowerPoint 2007) with left/right arrow shape + text in that shape (31.91 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2017-02-06 10:06 UTC, Tobias Burnus
Details
comparison MSO Writer 2010 and LibreOffice 5.4 (6.71 KB, image/png)
2017-02-06 10:53 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Burnus 2017-02-06 10:06:25 UTC
Created attachment 130937 [details]
PPTX file (PowerPoint 2007) with left/right arrow shape + text in that shape

If I create in Impress a left- or right-pointing arrow shape and add text to it, it is nicely vertically and horizontally centered.

If I import such a shape via PPTX file (see attachment, created with PowerPoint 2007), the right-pointing arrow shape looks fine - but the left-pointing arrow shape has the text too far up up and left.
Comment 1 Tobias Burnus 2017-02-06 10:12:46 UTC
Looking closer at the issue, the difference seems to be what is regarded as "Top".

LO looks at the top-left corner of the "<=" bounding box, PP seems to take the upper coordinate of "===", ignoring that "<" extends further up.

For "===>" arrows, both take the same "y" value.
Comment 2 Xisco Faulí 2017-02-06 10:52:16 UTC
Confirmed in

Version: 5.4.0.0.alpha0+
Build ID: fc53cce64400430cdc21f79c959d75fb9a26d13d
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; VCL: gtk2; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

and 

Version 4.1.0.0.alpha0+ (Build ID: efca6f15609322f62a35619619a6d5fe5c9bd5a)
Comment 3 Xisco Faulí 2017-02-06 10:53:40 UTC
Created attachment 130938 [details]
comparison MSO Writer 2010 and LibreOffice 5.4
Comment 4 QA Administrators 2018-10-22 02:51:34 UTC Comment hidden (obsolete)
Comment 5 Tobias Burnus 2018-11-10 12:42:01 UTC
Still occurs in libreoffice-6.1.3.2-1.1.x86_64
Comment 6 Buovjaga 2019-09-29 12:33:46 UTC
The result is actually ok between 3.5 and 3.6 (oldest and last36onmaster in Linux 43all repo).

Bibisected to range

https://gerrit.libreoffice.org/plugins/gitiles/core/+log/ba8918aebd2b9f030e0fd684accc9bf21bd1eac3..c581d33dec47a4c411a034482876543f6357d1e8

The commit that stands out from the crowd to me is https://gerrit.libreoffice.org/plugins/gitiles/core/+/44b98b588c51c976c38b08844f7e09d236518e32%5E%21/
n742593: Adding checks before using textbox sizes.
Comment 7 Regina Henschel 2019-09-29 13:21:29 UTC
The reason is, that the left arrow is not really a left arrow but a mirrored right arrow.

Please try it again with a current daily. The problem should be fixed with my  recent commit https://cgit.freedesktop.org/libreoffice/core/commit/?id=7830a9d42926a9c5265230d42fce4a4858b303c1
Comment 8 Regina Henschel 2019-09-29 15:00:26 UTC
It is not totally fixed, see bug 127785. I see the problem of wrong text position too in pure "non-primitive" custom-shapes, where no import filter are involved. So the error in this bug might be no import filter error at all. First bug 127785 has to be fixed before further investigation in regard to import filter makes sense.